variable "instance_number" {
  type = number
  default = 1
}

variable "subnet_id" {
  type = string
}
variable "vpc_id" {
  type = string
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

variable "resolver_instance_type" { 
  type = string
  default = "t3a.micro"
}

variable "reverse_enabled" { 
  description = "Whether to create the reverse DNS entry."
  type = bool
  default = true
}

variable "resolver_instance_key_name" {
  type = string 
  default = "msoc-build"
}

variable "proxy_ip" { type = string }
variable "salt_master_ip" { type = string }
variable "cidr_map" { type = map }
variable "dns_info" { type = map }
variable "standard_tags" { type = map }
variable "environment" { type = string }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "common_services_account" { type = string }
variable "instance_termination_protection" { type = bool }
